Skip to main content
POST
/
{version}
/
events
Create event
curl --request POST \
  --url https://api.perscom.io/{version}/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "calendar_id": 123,
  "all_day": false,
  "starts": "2023-11-07T05:31:56Z",
  "ends": "2023-11-07T05:31:56Z",
  "repeats": false,
  "registration_enabled": true,
  "notifications_enabled": true,
  "description": "<string>",
  "content": "<string>",
  "location": "<string>",
  "url": "<string>",
  "author_id": 123,
  "registration_deadline": "2023-11-07T05:31:56Z",
  "notifications_interval": [],
  "notifications_channels": []
}
'
import requests

url = "https://api.perscom.io/{version}/events"

payload = {
"name": "<string>",
"calendar_id": 123,
"all_day": False,
"starts": "2023-11-07T05:31:56Z",
"ends": "2023-11-07T05:31:56Z",
"repeats": False,
"registration_enabled": True,
"notifications_enabled": True,
"description": "<string>",
"content": "<string>",
"location": "<string>",
"url": "<string>",
"author_id": 123,
"registration_deadline": "2023-11-07T05:31:56Z",
"notifications_interval": [],
"notifications_channels": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
calendar_id: 123,
all_day: false,
starts: '2023-11-07T05:31:56Z',
ends: '2023-11-07T05:31:56Z',
repeats: false,
registration_enabled: true,
notifications_enabled: true,
description: '<string>',
content: '<string>',
location: '<string>',
url: '<string>',
author_id: 123,
registration_deadline: '2023-11-07T05:31:56Z',
notifications_interval: [],
notifications_channels: []
})
};

fetch('https://api.perscom.io/{version}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "calendar_id": 123,
    "all_day": false,
    "starts": "2023-11-07T05:31:56Z",
    "ends": "2023-11-07T05:31:56Z",
    "repeats": false,
    "registration_enabled": true,
    "notifications_enabled": true,
    "id": 123,
    "description": "<string>",
    "content": "<string>",
    "location": "<string>",
    "url": "<string>",
    "author_id": 123,
    "registration_deadline": "2023-11-07T05:31:56Z",
    "notifications_interval": [],
    "notifications_channels": [],
    "label": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
"type": "AuthenticationException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "A valid subscription is required to complete this request.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The [field] is [required|invalid|etc].",
"type": "ValidationException",
"errors": {
"email": [
"The email field is required.",
"The email must be a valid email address."
],
"password": [
"The password must be at least 8 characters.",
"The password must contain at least one uppercase letter."
]
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
"type": "ThrottleRequestsException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API is currently down for maintenance. Please check back later.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2

Query Parameters

include
enum<string>
Available options:
image

Body

application/json
name
string
required
calendar_id
integer
required
all_day
boolean
default:false
required
starts
string<date-time>
required
ends
string<date-time> | null
required
repeats
boolean
default:false
required
registration_enabled
boolean
default:true
required
notifications_enabled
boolean
default:true
required
description
string | null

Supports HTML.

content
string | null

Supports HTML.

location
string | null
url
string | null
author_id
integer
registration_deadline
string<date-time> | null
notifications_interval
enum<string>[] | null
Available options:
pt0m,
pt15m,
pt1h,
p1d,
p1w
notifications_channels
enum<string>[] | null
Available options:
broadcast,
database,
discord_private,
discord_public,
mail,
sms

Response

OK

data
EventResource · object